## FmDndSrc

FmDndSrc

## Synopsis

    struct              FmDndSrc;
    struct              FmDndSrcClass;
    FmFileInfoList *    fm_dnd_src_get_files                (FmDndSrc *ds);
    FmDndSrc *          fm_dnd_src_new                      (GtkWidget *w);
    void                fm_dnd_src_set_file                 (FmDndSrc *ds,
                                                             FmFileInfo *file);
    void                fm_dnd_src_set_files                (FmDndSrc *ds,
                                                             FmFileInfoList *files);
    void                fm_dnd_src_set_widget               (FmDndSrc *ds,
                                                             GtkWidget *w);

## Object Hierarchy

      GObject
       +----FmDndSrc

## Signals

      "data-get"                                       : Run First

## Description

## Details

### struct FmDndSrc

    struct FmDndSrc;

### struct FmDndSrcClass

    struct FmDndSrcClass {
    	GObjectClass parent_class;
    	void (*data_get)();
    };

### fm_dnd_src_get_files ()

    FmFileInfoList *    fm_dnd_src_get_files                (FmDndSrc *ds);

### fm_dnd_src_new ()

    FmDndSrc *          fm_dnd_src_new                      (GtkWidget *w);

### fm_dnd_src_set_file ()

    void                fm_dnd_src_set_file                 (FmDndSrc *ds,
                                                             FmFileInfo *file);

### fm_dnd_src_set_files ()

    void                fm_dnd_src_set_files                (FmDndSrc *ds,
                                                             FmFileInfoList *files);

### fm_dnd_src_set_widget ()

    void                fm_dnd_src_set_widget               (FmDndSrc *ds,
                                                             GtkWidget *w);

## Signal Details

### The `"data-get"` signal

    void                user_function                      (FmDndSrc *fmdndsrc,
                                                            gpointer  user_data)      : Run First